Loading...
Searching...
No Matches
caf::stream_stage_trait< void(State &, downstream< Out > &, In)> Struct Template Reference

Deduces the input type, output type and the state type for a stream stage from its process implementation. More...

`#include <stream_stage_trait.hpp>`

## Public Types

using | state = State
using | input = In
using | output = Out
using | process = detail::stream_stage_trait_invoke_one

## Static Public Attributes

static constexpr bool | valid = true

## Detailed Description

template<class State, class In, class Out>
struct caf::stream_stage_trait< void(State &, downstream< Out > &, In)>

Deduces the input type, output type and the state type for a stream stage from its process implementation.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/stream_stage_trait.hpp